<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 

	# class cache platforms

	class cache_pf {

		public static function get($ID) # get
		{
		
		$file = cache."_pf/{$ID}.data";	
		$cache = @file_get_contents($file); 	
		return unserialize($cache);

		}	

		public static function save($ID) # save
		{
		
		$file = cache."_pf/{$ID}.data";	
		$cache = DB :: $dbh -> queryFetch("SELECT * FROM platforms WHERE id = ? LIMIT 1;", array($ID));        
		$cache = serialize($cache);	
		@file_put_contents($file, $cache);

		}

	
		public static function check($ID) # check
		{
		
		$file = cache."_pf/{$ID}.data";	
		if(!file_exists($file)):  	
		self::save($ID);
		endif;
		return self::get($ID);

		}

		public static function ch($ID) # check file
		{
		
		$file = cache."_pf/{$ID}.data";	
		if(file_exists($file)):  
		return true;
		else:	
		return false;
		endif;	

		}	

		public static function update() # update file
		{
		
		$query = DB :: $dbh -> query("SELECT id FROM platforms");			
		while ($act = $query -> fetch()):	
		self::save($act['id']);
		endwhile;

		}



	}	
?>